dssi_osc_update(1)

NAME
dssi_osc_update - send a DSSI `update' OSC request

SYNOPSIS
dssi_osc_update <OSC URL>

DESCRIPTION
dssi_osc_update sends a DSSI `update' OSC request to a DSSI host, then waits for OSC responses from the host, writes any responses received to stdout, and exits when it has not received anything for five seconds. DSSI hosts should respond to an `update' request by sending the complete state of the plugin; this program can be used to retrieve and display that state.

OPTIONS

<OSC URL>
    The URL specifying the host and plugin, to which the request is sent. This is typically obtained from the host, perhaps from startup messages or the host's `About' dialog. For example:
      osc.udp://localhost:19383/dssi/test.1
      osc.udp://my.host.org:10886/dssi/xsynth-dssi/Xsynth/chan00

SEE ALSO
dssi_osc_send(1).

AUTHOR
This manual page was originally created by Mark Hymers from the help text of the application, for the Debian project (but may be freely used by others).